unit _mdxchat_const;

interface

uses
  SysUtils,Classes,Types;

const HT:char=char($09);
const CR:char=char($0d);
const LF:char=char($0a);
const SP:char=char($20);
const CRLF:string=char($0d)+char($0a);

const cmdLogin=$0000;

const cmdRoomGetInfo=$0100;
const cmdRoomSetName=$0101;
const cmdRoomIn=$0102;
const cmdRoomOut=$0103;

const cmdAllRoomGetInfo=$0200;

const cmdSendMsgOne=$0300;
const cmdSendMsgSilent=$0301;

const cmdGetMsgOne=$0401;
const cmdGetMsgAll=$0402;

const cmdSocketClose=$ff00;
const cmdSocketNOP=$ffff;

// ------------------

const srReceiveWait=$ffff;

const srOK=$0000;
const srError=$0001;
const srNotImpliment=$0002;

const srLoginAlready=$0101;
const srLoginExistUserName=$0102;
const srLoginInvalidUserName=$0103;

const srRoomSetInvalidNo=$0201;
const srRoomSetNoPrivilege=$0202;
const srRoomInAlredy=$0203;
const srRoomInNoRoom=$0204;
const srRoomOutNoRoomIn=$0205;

const srSendMsgOneNoRoomIn=$0301;
const srSendMsgSilentNoUserName=$0302;

const srGetMsgNoMsg=$0401;

implementation

end.
